> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corti.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Languages

> Returns a list of available languages with their enabled endpoints details.



## OpenAPI

````yaml /api-reference/auto-generated-openapi.yml get /languages/
openapi: 3.0.0
info:
  title: Corti API
  version: 2.0.0
servers:
  - url: https://api.{environment}.corti.app/v2/
    variables:
      environment:
        default: eu
        enum:
          - us
          - eu
security:
  - AuthorizationHeader:
      - bearer
tags:
  - name: Interactions
  - name: Recordings
  - name: Transcripts
  - name: Facts
  - name: Codes
  - name: Languages
  - name: Guided Documents
  - name: Guided Templates
  - name: Guided Sections
  - name: Documents (Classic)
  - name: Templates (Classic)
paths:
  /languages/:
    get:
      tags:
        - Languages
      summary: List Languages
      description: >-
        Returns a list of available languages with their enabled endpoints
        details.
      operationId: languages_list
      parameters:
        - $ref: '#/components/parameters/Tenant-Name'
        - name: endpoint
          in: query
          description: Field used to filter languages that supported specific endpoint.
          schema:
            type: string
            description: Field used to filter languages that supported specific endpoint.
            enum:
              - streams
              - transcribe
              - transcripts
      responses:
        '200':
          description: >-
            Returns a list of available languages with their enabled endpoints
            details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LanguagesListResponse'
        '400':
          description: RFC9457
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: RFC9457
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: csharp
          label: C# .NET SDK
          source: |
            using Corti;

            var client = new CortiClient(
                "TENANT_NAME",
                CortiClientEnvironment.Eu,
                new CortiClientAuth.ClientCredentials("client_id", "client_secret")
            );
            await client.Languages.ListAsync(new LanguagesListRequest());
        - lang: javascript
          label: JavaScript SDK
          source: |
            import { CortiClient, CortiEnvironment } from "@corti/sdk";

            const client = new CortiClient({
                environment: CortiEnvironment.Eu,
                auth: {
                    clientId: "YOUR_CLIENT_ID",
                    clientSecret: "YOUR_CLIENT_SECRET"
                },
                tenantName: "YOUR_TENANT_NAME"
            });
            await client.languages.list();
components:
  parameters:
    Tenant-Name:
      name: Tenant-Name
      in: header
      description: >-
        Identifies a distinct entity within Corti's multi-tenant system. Ensures
        correct routing and authentication of the request.
      required: true
      example: base
      schema:
        type: string
        description: >-
          Identifies a distinct entity within Corti's multi-tenant system.
          Ensures correct routing and authentication of the request.
        example: base
  schemas:
    LanguagesListResponse:
      type: object
      required:
        - languages
      properties:
        languages:
          type: object
          items:
            type: object
            additionalProperties:
              type: object
              items:
                $ref: '#/components/schemas/LanguagesEndpoint'
    ErrorResponse:
      type: object
      required:
        - requestid
        - status
        - type
        - detail
      properties:
        requestid:
          type: string
        status:
          type: integer
        type:
          type: string
        detail:
          type: string
        validationErrors:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
    LanguagesEndpoint:
      type: object
      required:
        - streams
        - transcribe
        - transcripts
      properties:
        streams:
          type: object
          description: Streams endpoint with its supported attributes.
          items:
            $ref: '#/components/schemas/LanguagesEndpointAttributes'
        transcribe:
          type: object
          description: Transcribe endpoint with its supported attributes.
          items:
            $ref: '#/components/schemas/LanguagesEndpointAttributes'
        transcripts:
          type: object
          description: Transcripts endpoint with its supported attributes.
          items:
            $ref: '#/components/schemas/LanguagesEndpointAttributes'
    LanguagesEndpointAttributes:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          description: Indicates if this endpoint is supported or not.
          example: false
  securitySchemes:
    AuthorizationHeader:
      type: http
      description: Input your token
      scheme: bearer

````